org.apache.ignite.internal.processors.cache.persistence.metastorage

## Class MetaStorage.FreeListImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.DataStructure
  - - org.apache.ignite.internal.processors.cache.persistence.freelist.PagesList
    - - org.apache.ignite.internal.processors.cache.persistence.freelist.AbstractFreeList<MetastorageDataRow>
      - - org.apache.ignite.internal.processors.cache.persistence.metastorage.MetaStorage.FreeListImpl

All Implemented Interfaces:
  FreeList<MetastorageDataRow>, ReuseList, PageLockListener

Enclosing class:
  MetaStorage

    public static class MetaStorage.FreeListImpl
    extends AbstractFreeList<MetastorageDataRow>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.processors.cache.persistence.freelist.PagesList

`PagesList.Stripe`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.freelist.PagesList

`bucketsSize, changed, name`

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.DataStructure

`grpId, pageMem, reuseList, rnd, wal`

### Method Summary

All Methods Instance Methods Concrete Methods
`IOVersions<? extends AbstractDataPageIO<MetastorageDataRow>>` `ioVersions()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.freelist.AbstractFreeList

`addForRecycle, casBucket, dumpStatistics, emptyDataPages, freeSpace, getBucket, insertDataRow, isReuseBucket, recycledPagesCount, removeDataRowByLink, takeRecycledPage, toString, updateDataRow, updateDataRow`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.freelist.PagesList

`init, initReusedPage, put, removeDataPage, saveMetadata, storedPagesCount, takeEmptyPage`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.DataStructure

`acquirePage, allocatePage, allocatePage, allocatePageNoReuse, groupId, init, needWalDeltaRecord, onBeforeReadLock, onBeforeWriteLock, onReadLock, onReadUnlock, onWriteLock, onWriteUnlock, pageSize, randomInt, read, read, readLock, readUnlock, recyclePage, releasePage, tryWriteLock, write, write, write, write, writeLock, writeUnlock, writeUnlock`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### ioVersions

    public IOVersions<? extends AbstractDataPageIO<MetastorageDataRow>> ioVersions()

Specified by:
  `ioVersions` in class `AbstractFreeList<MetastorageDataRow>`
Returns:
  IOVersions.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018